>From 1a8185711ce622207a3ec3e5fd6daab78ec31c21 Mon Sep 17 00:00:00 2001
From: Ade Lee <alee@redhat.com>
Date: Wed, 21 Mar 2012 23:22:36 -0400
Subject: [PATCH] Replace URLEncoder.encode with non-deprecated form in
 pkisilent

Removed a few obviously obsolete files.
---
 .../src/com/netscape/pkisilent/ConfigureCA.java    |   81 +-
 .../src/com/netscape/pkisilent/ConfigureDRM.java   |   91 +-
 .../src/com/netscape/pkisilent/ConfigureOCSP.java  |  116 +-
 .../src/com/netscape/pkisilent/ConfigureRA.java    |   63 +-
 .../src/com/netscape/pkisilent/ConfigureSubCA.java |  120 +-
 .../src/com/netscape/pkisilent/ConfigureTKS.java   |  108 +-
 .../src/com/netscape/pkisilent/ConfigureTPS.java   |   99 +-
 .../src/com/netscape/pkisilent/CreateInstance.java |  111 -
 .../src/com/netscape/pkisilent/PKISilent.java      |    2 +-
 .../netscape/pkisilent/common/AutoInstaller.java   | 2266 --------------------
 .../com/netscape/pkisilent/common/CMSInstance.java |  315 ---
 .../com/netscape/pkisilent/common/DirEnroll.java   |   44 +-
 12 files changed, 331 insertions(+), 3085 deletions(-)
 delete mode 100644 pki/base/silent/src/com/netscape/pkisilent/CreateInstance.java
 delete mode 100644 pki/base/silent/src/com/netscape/pkisilent/common/AutoInstaller.java
 delete mode 100644 pki/base/silent/src/com/netscape/pkisilent/common/CMSInstance.java

diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureCA.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureCA.java
index 4dc77b8943845a5218bcb778c7ffe27318669837..84fe0342f617d491b89f4ff2215583ec473d7aaa 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureCA.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureCA.java
@@ -267,7 +267,7 @@ public class ConfigureCA {
             // Software Token
             if (token_name.equalsIgnoreCase("internal")) {
                 query_string = "p=1" + "&op=next" + "&xml=true" + "&choice="
-                        + URLEncoder.encode("Internal Key Storage Token") + "";
+                        + URLEncoder.encode("Internal Key Storage Token", "UTF-8") + "";
                 hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
                 if (!checkStatus(hr, "updateStatus", SUCCESS, "TokenChoicePanel()")) {
                     return false;
@@ -276,8 +276,8 @@ public class ConfigureCA {
             else {
                 // login to hsm first
                 query_string = "p=2" + "&op=next" + "&xml=true" + "&uTokName="
-                        + URLEncoder.encode(token_name) + "&__uPasswd="
-                        + URLEncoder.encode(token_pwd) + "";
+                        + URLEncoder.encode(token_name, "UTF-8") + "&__uPasswd="
+                        + URLEncoder.encode(token_pwd, "UTF-8") + "";
                 hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
                 if (!checkStatus(hr, "updateStatus", SUCCESS, "TokenChoicePanel()")) {
                     return false;
@@ -285,7 +285,7 @@ public class ConfigureCA {
 
                 // choice with token name now
                 query_string = "p=1" + "&op=next" + "&xml=true" + "&choice="
-                        + URLEncoder.encode(token_name) + "";
+                        + URLEncoder.encode(token_name, "UTF-8") + "";
                 hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
                 if (!checkStatus(hr, "updateStatus", SUCCESS, "TokenChoicePanel()")) {
                     return false;
@@ -306,12 +306,12 @@ public class ConfigureCA {
             String query_string = null;
 
             if (!clone) {
-                query_string = "sdomainURL=" + URLEncoder.encode(domain_url)
-                        + "&sdomainName=" + URLEncoder.encode(domain_name)
+                query_string = "sdomainURL=" + URLEncoder.encode(domain_url, "UTF-8")
+                        + "&sdomainName=" + URLEncoder.encode(domain_name, "UTF-8")
                         + "&choice=newdomain" + "&p=3" + "&op=next" + "&xml=true";
             } else {
                 domain_url = "https://" + sd_hostname + ":" + sd_admin_port;
-                query_string = "sdomainURL=" + URLEncoder.encode(domain_url)
+                query_string = "sdomainURL=" + URLEncoder.encode(domain_url, "UTF-8")
                         + "&sdomainName="
                         + "&choice=existingdomain" + "&p=3" + "&op=next" + "&xml=true";
             }
@@ -348,12 +348,12 @@ public class ConfigureCA {
             String subca_url = "https://" + cs_hostname + ":" + cs_port +
                     "/ca/admin/console/config/wizard" + "?p=5&subsystem=CA";
 
-            String query_string = "url=" + URLEncoder.encode(subca_url);
+            String query_string = "url=" + URLEncoder.encode(subca_url, "UTF-8");
 
             hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_login_uri, query_string);
 
-            String query_string_1 = "uid=" + sd_admin_name + "&pwd=" + URLEncoder.encode(sd_admin_password) +
-                                    "&url=" + URLEncoder.encode(subca_url);
+            String query_string_1 = "uid=" + sd_admin_name + "&pwd=" + URLEncoder.encode(sd_admin_password, "UTF-8") +
+                                    "&url=" + URLEncoder.encode(subca_url, "UTF-8");
 
             hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_get_cookie_uri,
                                                 query_string_1);
@@ -397,11 +397,11 @@ public class ConfigureCA {
             if (!clone) {
                 query_string = "p=5" + "&op=next" + "&xml=true"
                         + "&choice=newsubsystem" + "&subsystemName="
-                        + URLEncoder.encode(subsystem_name);
+                        + URLEncoder.encode(subsystem_name, "UTF-8");
             } else {
                 query_string = "p=5" + "&op=next" + "&xml=true"
                         + "&choice=clonesubsystem" + "&subsystemName="
-                        + URLEncoder.encode(subsystem_name)
+                        + URLEncoder.encode(subsystem_name, "UTF-8")
                         + "&urls=" + urls + "";
             }
 
@@ -433,8 +433,8 @@ public class ConfigureCA {
             HTTPResponse hr = null;
 
             String query_string = "p=7" + "&op=next" + "&xml=true"
-                    + "&__password=" + URLEncoder.encode(clone_p12_passwd)
-                    + "&path=" + URLEncoder.encode(clone_p12_file) + "";
+                    + "&__password=" + URLEncoder.encode(clone_p12_passwd, "UTF-8")
+                    + "&path=" + URLEncoder.encode(clone_p12_file, "UTF-8") + "";
 
             hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
             if (!checkStatus(hr, "updateStatus", SUCCESS, "RestoreKeyCertPanel()")) {
@@ -607,16 +607,16 @@ public class ConfigureCA {
 
             if (!clone) {
                 query_string = "p=11" + "&op=next" + "&xml=true" + "&subsystem="
-                        + URLEncoder.encode(ca_subsystem_cert_subject_name)
+                        + URLEncoder.encode(ca_subsystem_cert_subject_name, "UTF-8")
                         + "&ocsp_signing="
-                        + URLEncoder.encode(ca_ocsp_cert_subject_name) + "&signing="
-                        + URLEncoder.encode(ca_sign_cert_subject_name) + "&sslserver="
-                        + URLEncoder.encode(ca_server_cert_subject_name) + "&audit_signing="
-                        + URLEncoder.encode(ca_audit_signing_cert_subject_name) + "&urls=0"
+                        + URLEncoder.encode(ca_ocsp_cert_subject_name, "UTF-8") + "&signing="
+                        + URLEncoder.encode(ca_sign_cert_subject_name, "UTF-8") + "&sslserver="
+                        + URLEncoder.encode(ca_server_cert_subject_name, "UTF-8") + "&audit_signing="
+                        + URLEncoder.encode(ca_audit_signing_cert_subject_name, "UTF-8") + "&urls=0"
                         + "";
             } else {
                 query_string = "p=11" + "&op=next" + "&xml=true" + "&sslserver="
-                        + URLEncoder.encode(ca_server_cert_subject_name) + "&urls=0"
+                        + URLEncoder.encode(ca_server_cert_subject_name, "UTF-8") + "&urls=0"
                         + "";
             }
 
@@ -744,13 +744,13 @@ public class ConfigureCA {
             HTTPResponse hr = null;
 
             String query_string = "p=12" + "&op=next" + "&xml=true" + "&subsystem="
-                    + URLEncoder.encode(ca_subsystem_cert_cert) + "&subsystem_cc="
-                    + "&ocsp_signing=" + URLEncoder.encode(ocsp_cert_cert)
+                    + URLEncoder.encode(ca_subsystem_cert_cert, "UTF-8") + "&subsystem_cc="
+                    + "&ocsp_signing=" + URLEncoder.encode(ocsp_cert_cert, "UTF-8")
                     + "&ocsp_signing_cc=" + "&signing="
-                    + URLEncoder.encode(ca_cert_cert) + "&signing_cc="
-                    + "&audit_signing=" + URLEncoder.encode(ca_audit_signing_cert_cert)
+                    + URLEncoder.encode(ca_cert_cert, "UTF-8") + "&signing_cc="
+                    + "&audit_signing=" + URLEncoder.encode(ca_audit_signing_cert_cert, "UTF-8")
                     + "&audit_signing_cc="
-                    + "&sslserver=" + URLEncoder.encode(server_cert_cert)
+                    + "&sslserver=" + URLEncoder.encode(server_cert_cert, "UTF-8")
                     + "&sslserver_cc=" + "";
 
             hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
@@ -778,14 +778,14 @@ public class ConfigureCA {
             String genString = "...certificate be generated internally...";
 
             String query_string = "p=12" + "&op=apply" + "&xml=true" + "&subsystem="
-                    + URLEncoder.encode(genString) + "&subsystem_cc="
-                    + "&ocsp_signing=" + URLEncoder.encode(genString)
+                    + URLEncoder.encode(genString, "UTF-8") + "&subsystem_cc="
+                    + "&ocsp_signing=" + URLEncoder.encode(genString, "UTF-8")
                     + "&ocsp_signing_cc=" + "&signing="
-                    + URLEncoder.encode(ca_cert_cert) + "&signing_cc="
-                    + URLEncoder.encode(signing_cc)
-                    + "&audit_signing=" + URLEncoder.encode(genString)
+                    + URLEncoder.encode(ca_cert_cert, "UTF-8") + "&signing_cc="
+                    + URLEncoder.encode(signing_cc, "UTF-8")
+                    + "&audit_signing=" + URLEncoder.encode(genString, "UTF-8")
                     + "&audit_signing_cc="
-                    + "&sslserver=" + URLEncoder.encode(genString)
+                    + "&sslserver=" + URLEncoder.encode(genString, "UTF-8")
                     + "&sslserver_cc=" + "";
 
             hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
@@ -866,8 +866,8 @@ public class ConfigureCA {
 
             if (save_p12.equalsIgnoreCase("true")) {
                 String query_string = "p=13" + "&op=next" + "&xml=true"
-                        + "&choice=backupkey" + "&__pwd=" + URLEncoder.encode(backup_pwd)
-                        + "&__pwdagain=" + URLEncoder.encode(backup_pwd);
+                        + "&choice=backupkey" + "&__pwd=" + URLEncoder.encode(backup_pwd, "UTF-8")
+                        + "&__pwdagain=" + URLEncoder.encode(backup_pwd, "UTF-8");
 
                 hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
                 if (!checkStatus(hr, "updateStatus", SUCCESS, "BackupPanel()")) {
@@ -990,14 +990,14 @@ public class ConfigureCA {
 
             String query_string = "p=16" + "&op=next" + "&xml=true"
                     + "&cert_request_type=" + "crmf" + "&uid=" + admin_user
-                    + "&name=" + admin_user + "&__pwd=" + URLEncoder.encode(admin_password)
-                    + "&__admin_password_again=" + URLEncoder.encode(admin_password) + "&profileId="
-                    + "caAdminCert" + "&email=" + URLEncoder.encode(admin_email)
-                    + "&cert_request=" + URLEncoder.encode(admin_cert_request)
-                    + "&subject=" + URLEncoder.encode(agent_cert_subject)
+                    + "&name=" + admin_user + "&__pwd=" + URLEncoder.encode(admin_password, "UTF-8")
+                    + "&__admin_password_again=" + URLEncoder.encode(admin_password, "UTF-8") + "&profileId="
+                    + "caAdminCert" + "&email=" + URLEncoder.encode(admin_email, "UTF-8")
+                    + "&cert_request=" + URLEncoder.encode(admin_cert_request, "UTF-8")
+                    + "&subject=" + URLEncoder.encode(agent_cert_subject, "UTF-8")
                     + "&clone=new"
                     + "&import=true" + "&securitydomain="
-                    + URLEncoder.encode(domain_name) + "";
+                    + URLEncoder.encode(domain_name, "UTF-8") + "";
 
             hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
             if (!checkStatus(hr, "updateStatus", SUCCESS, "AdminCertReqPanel()")) {
@@ -1079,7 +1079,7 @@ public class ConfigureCA {
             ParseXML px = new ParseXML();
 
             String query_string = "p=17" + "&op=next" + "&xml=true" + "&caHost="
-                    + URLEncoder.encode("/") + "&caPort=" + URLEncoder.encode("/")
+                    + URLEncoder.encode("/", "UTF-8") + "&caPort=" + URLEncoder.encode("/", "UTF-8")
                     + "";
 
             hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
@@ -1381,7 +1381,6 @@ public class ConfigureCA {
         StringHolder x_backup_fname = new StringHolder();
 
         // separate key size for agent cert
-
         StringHolder x_agent_key_size = new StringHolder();
         StringHolder x_agent_key_type = new StringHolder();
         StringHolder x_agent_cert_subject = new StringHolder();
diff --git a/pki/base/silent/src/com/netscape/pkisilent/ConfigureDRM.java b/pki/base/silent/src/com/netscape/pkisilent/ConfigureDRM.java
index 7d15861d19afdb6b8e0d8eb77e3a4b7718593803..d38c92236aed8333c79de0972fc420db2bcd00e9 100644
--- a/pki/base/silent/src/com/netscape/pkisilent/ConfigureDRM.java
+++ b/pki/base/silent/src/com/netscape/pkisilent/ConfigureDRM.java
@@ -24,6 +24,7 @@ import java.io.ByteArrayInputStream;
 import java.io.FileInputStream;
 import java.io.FileOutputStream;
 import java.io.InputStreamReader;
+import java.io.UnsupportedEncodingException;
 import java.net.URLEncoder;
 import java.util.ArrayList;
 
@@ -224,7 +225,7 @@ public class ConfigureDRM {
         return st;
     }
 
-    public boolean TokenChoicePanel() {
+    public boolean TokenChoicePanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -235,7 +236,7 @@ public class ConfigureDRM {
         if (token_name.equalsIgnoreCase("internal")) {
             query_string = "p=1" + "&op=next" + "&xml=true" +
                            "&choice=" +
-                           URLEncoder.encode("Internal Key Storage Token");
+                           URLEncoder.encode("Internal Key Storage Token", "UTF-8");
             hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
 
             // parse xml
@@ -246,9 +247,9 @@ public class ConfigureDRM {
             // login to hsm first
             query_string = "p=2" + "&op=next" + "&xml=true" +
                             "&uTokName=" +
-                            URLEncoder.encode(token_name) +
+                            URLEncoder.encode(token_name, "UTF-8") +
                             "&__uPasswd=" +
-                            URLEncoder.encode(token_pwd);
+                            URLEncoder.encode(token_pwd, "UTF-8");
             hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
 
             // parse xml
@@ -259,7 +260,7 @@ public class ConfigureDRM {
             // choice with token name now
             query_string = "p=1" + "&op=next" + "&xml=true" +
                            "&choice=" +
-                           URLEncoder.encode(token_name);
+                           URLEncoder.encode(token_name, "UTF-8");
             hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
 
             // parse xml
@@ -271,7 +272,7 @@ public class ConfigureDRM {
         return true;
     }
 
-    public boolean DomainPanel() {
+    public boolean DomainPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -279,7 +280,7 @@ public class ConfigureDRM {
         String domain_url = "https://" + sd_hostname + ":" + sd_admin_port;
 
         String query_string = "sdomainURL=" +
-                            URLEncoder.encode(domain_url) +
+                            URLEncoder.encode(domain_url, "UTF-8") +
                             "&choice=existingdomain" +
                             "&p=3" +
                             "&op=next" +
@@ -312,13 +313,13 @@ public class ConfigureDRM {
                             "/kra/admin/console/config/wizard" +
                             "?p=5&subsystem=KRA";
 
-            String query_string = "url=" + URLEncoder.encode(kra_url);
+            String query_string = "url=" + URLEncoder.encode(kra_url, "UTF-8");
 
             hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_login_uri, query_string);
 
             String query_string_1 = "uid=" + sd_admin_name +
-                                "&pwd=" + URLEncoder.encode(sd_admin_password) +
-                                "&url=" + URLEncoder.encode(kra_url);
+                                "&pwd=" + URLEncoder.encode(sd_admin_password, "UTF-8") +
+                                "&url=" + URLEncoder.encode(kra_url, "UTF-8");
 
             hr = hc.sslConnect(sd_hostname, sd_admin_port, sd_get_cookie_uri,
                         query_string_1);
@@ -362,7 +363,7 @@ public class ConfigureDRM {
         }
     }
 
-    public boolean SubsystemPanel() {
+    public boolean SubsystemPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -370,11 +371,11 @@ public class ConfigureDRM {
         if (!clone) {
             query_string = "p=5" + "&op=next" + "&xml=true"
                     + "&choice=newsubsystem" + "&subsystemName="
-                    + URLEncoder.encode(subsystem_name);
+                    + URLEncoder.encode(subsystem_name, "UTF-8");
         } else {
             query_string = "p=5" + "&op=next" + "&xml=true"
                     + "&choice=clonesubsystem" + "&subsystemName="
-                    + URLEncoder.encode(subsystem_name)
+                    + URLEncoder.encode(subsystem_name, "UTF-8")
                     + "&urls=" + urls;
         }
 
@@ -394,8 +395,8 @@ public class ConfigureDRM {
             ParseXML px = new ParseXML();
 
             String query_string = "p=6" + "&op=next" + "&xml=true"
-                    + "&__password=" + URLEncoder.encode(clone_p12_passwd)
-                    + "&path=" + URLEncoder.encode(clone_p12_file) + "";
+                    + "&__password=" + URLEncoder.encode(clone_p12_passwd, "UTF-8")
+                    + "&path=" + URLEncoder.encode(clone_p12_file, "UTF-8") + "";
 
             hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
 
@@ -525,7 +526,7 @@ public class ConfigureDRM {
         return true;
     }
 
-    public boolean CertSubjectPanel() {
+    public boolean CertSubjectPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -539,23 +540,23 @@ public class ConfigureDRM {
         if (!clone) {
             query_string = "p=9" + "&op=next" + "&xml=true" +
                     "&subsystem=" +
-                    URLEncoder.encode(drm_subsystem_cert_subject_name) +
+                    URLEncoder.encode(drm_subsystem_cert_subject_name, "UTF-8") +
                     "&transport=" +
-                    URLEncoder.encode(drm_transport_cert_subject_name) +
+                    URLEncoder.encode(drm_transport_cert_subject_name, "UTF-8") +
                     "&storage=" +
-                    URLEncoder.encode(drm_storage_cert_subject_name) +
+                    URLEncoder.encode(drm_storage_cert_subject_name, "UTF-8") +
                     "&sslserver=" +
-                    URLEncoder.encode(drm_server_cert_subject_name) +
+                    URLEncoder.encode(drm_server_cert_subject_name, "UTF-8") +
                     "&audit_signing=" +
-                    URLEncoder.encode(drm_audit_signing_cert_subject_name) +
+                    URLEncoder.encode(drm_audit_signing_cert_subject_name, "UTF-8") +
                     "&urls=" +
-                    URLEncoder.encode(domain_url);
+                    URLEncoder.encode(domain_url, "UTF-8");
         } else {
             query_string = "p=9" + "&op=next" + "&xml=true" +
                     "&sslserver=" +
-                    URLEncoder.encode(drm_server_cert_subject_name) +
+                    URLEncoder.encode(drm_server_cert_subject_name, "UTF-8") +
                     "&urls=" +
-                    URLEncoder.encode(domain_url);
+                    URLEncoder.encode(domain_url, "UTF-8");
         }
 
         hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
@@ -595,26 +596,26 @@ public class ConfigureDRM {
         return true;
     }
 
-    public boolean CertificatePanel() {
+    public boolean CertificatePanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
 
         String query_string = "p=10" + "&op=next" + "&xml=true" +
                             "&subsystem=" +
-                            URLEncoder.encode(drm_subsystem_cert_cert) +
+                            URLEncoder.encode(drm_subsystem_cert_cert, "UTF-8") +
                             "&subsystem_cc=" +
                             "&transport=" +
-                            URLEncoder.encode(drm_transport_cert_cert) +
+                            URLEncoder.encode(drm_transport_cert_cert, "UTF-8") +
                             "&transport_cc=" +
                             "&storage=" +
-                            URLEncoder.encode(drm_storage_cert_cert) +
+                            URLEncoder.encode(drm_storage_cert_cert, "UTF-8") +
                             "&storage_cc=" +
                             "&sslserver=" +
-                            URLEncoder.encode(server_cert_cert) +
+                            URLEncoder.encode(server_cert_cert, "UTF-8") +
                             "&sslserver_cc=" +
                             "&audit_signing=" +
-                            URLEncoder.encode(drm_audit_signing_cert_cert) +
+                            URLEncoder.encode(drm_audit_signing_cert_cert, "UTF-8") +
                             "&audit_signing_cc=";
 
         hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
@@ -627,15 +628,15 @@ public class ConfigureDRM {
         return true;
     }
 
-    public boolean BackupPanel() {
+    public boolean BackupPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
 
         String query_string = "p=11" + "&op=next" + "&xml=true" +
                             "&choice=backupkey" +
-                            "&__pwd=" + URLEncoder.encode(backup_pwd) +
-                            "&__pwdagain=" + URLEncoder.encode(backup_pwd);
+                            "&__pwd=" + URLEncoder.encode(backup_pwd, "UTF-8") +
+                            "&__pwdagain=" + URLEncoder.encode(backup_pwd, "UTF-8");
 
         hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
 
@@ -706,7 +707,7 @@ public class ConfigureDRM {
         return true;
     }
 
-    public boolean AdminCertReqPanel() {
+    public boolean AdminCertReqPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
@@ -736,19 +737,19 @@ public class ConfigureDRM {
                             "&cert_request_type=" + "crmf" +
                             "&uid=" + admin_user +
                             "&name=" + admin_user +
-                            "&__pwd=" + URLEncoder.encode(admin_password) +
-                            "&__admin_password_again=" + URLEncoder.encode(admin_password) +
+                            "&__pwd=" + URLEncoder.encode(admin_password, "UTF-8") +
+                            "&__admin_password_again=" + URLEncoder.encode(admin_password, "UTF-8") +
                             "&profileId=" + "caAdminCert" +
                             "&email=" +
-                            URLEncoder.encode(admin_email) +
+                            URLEncoder.encode(admin_email, "UTF-8") +
                             "&cert_request=" +
-                            URLEncoder.encode(admin_cert_request) +
+                            URLEncoder.encode(admin_cert_request, "UTF-8") +
                             "&subject=" +
-                            URLEncoder.encode(agent_cert_subject) +
+                            URLEncoder.encode(agent_cert_subject, "UTF-8") +
                             "&clone=new" +
                             "&import=true" +
                             "&securitydomain=" +
-                            URLEncoder.encode(domain_name);
+                            URLEncoder.encode(domain_name, "UTF-8");
 
         hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
 
@@ -800,14 +801,14 @@ public class ConfigureDRM {
         return true;
     }
 
-    public boolean UpdateDomainPanel() {
+    public boolean UpdateDomainPanel() throws UnsupportedEncodingException {
         HTTPResponse hr = null;
         ByteArrayInputStream bais = null;
         ParseXML px = new ParseXML();
 
         String query_string = "p=14" + "&op=next" + "&xml=true" +
-                            "&caHost=" + URLEncoder.encode(sd_hostname) +
-                            "&caPort=" + URLEncoder.encode(sd_agent_port);
+                            "&caHost=" + URLEncoder.encode(sd_hostname, "UTF-8") +
+                            "&caPort=" + URLEncoder.encode(sd_agent_port, "UTF-8");
 
         hr = hc.sslConnect(cs_hostname, cs_port, wizard_uri, query_string);
 
@@ -819,7 +820,7 @@ public class ConfigureDRM {
         return true;
     }
 
-    public boolean ConfigureDRMInstance() {
+    public boolean ConfigureDRMInstance() throws UnsupportedEncodingException {
         // 0. login to cert db
         ComCrypto cCrypt = new ComCrypto(client_certdb_dir,
                                         client_certdb_pwd,
@@ -980,7 +981,7 @@ public class ConfigureDRM {
         }
     }
 
-    public static void main(String args[]) {
+    public static void main(String args[]) throws UnsupportedEncodingException {
         ConfigureDRM ca = new ConfigureDRM();
 
         // set variables
